Summary:	GNU libtool, a shared library generation tool
Summary(es.UTF-8):	GNU libtool, una herramienta de creación de bibliotecas compartidas
Summary(pl.UTF-8):	GNU libtool - narzędzie do generowania bibliotek współdzielonych
Summary(pt_BR.UTF-8):	GNU libtool, uma ferramenta de geração de bibliotecas compartilhadas
Summary(ru.UTF-8):	GNU libtool, набор утилит для генерации разделяемых библиотек
Summary(uk.UTF-8):	GNU libtool, набір утиліт для генерації динамічних бібліотек
Name:		libtool
Version:	2.4.2
Release:	4
Epoch:		2
License:	GPL v2+
Group:		Development/Tools
Source0:	http://ftp.gnu.org/gnu/libtool/%{name}-%{version}.tar.xz
# Source0-md5:	2ec8997e0c07249eb4cbd072417d70fe
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-man-pages.tar.bz2
# Source1-md5:	b95e215961860c66f0868b0d551358c9
Patch0:		%{name}-info.patch
Patch1:		%{name}-relink.patch
Patch2:		%{name}-libdirs.patch
Patch3:		%{name}-multilib.patch
Patch4:		%{name}-linking-order.patch
URL:		http://www.gnu.org/software/libtool/
BuildRequires:	/usr/bin/which
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.11.1
BuildRequires:	libstdc++-devel >= 5:3.3.3
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo
BuildRequires:	xz
%requires_eq	gcc
Requires:	coreutils
Requires:	grep
Requires:	mktemp
Requires:	sed
Requires:	tar
Obsoletes:	libltdl-devel < 2:2.2
Conflicts:	autoconf < 2.58
Conflicts:	gettext-devel < 0.17
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU libtool is a set of shell scripts to automatically configure UNIX
architectures to build shared libraries in generic fashion.

%description -l es.UTF-8
GNU libtool es un conjunto de scripts shell para configurar
automáticamente la creación de bibliotecas compartidas para varias
arquitecturas UNIX de una manera genérica.

%description -l pl.UTF-8
GNU libtool jest zbiorem skryptów shellowych do automatycznego
generowania bibliotek współdzielonych niezależnie od typu platformy
systemowej.

%description -l pt_BR.UTF-8
GNU libtool é um conjunto de scripts shell para configurar
automaticamente a geração de bibliotecas compartilhadas para várias
arquiteturas UNIX de uma maneira genérica.

%description -l ru.UTF-8
GNU libtool - это набор скриптов для автоматической генерации
динамических разделяемых библиотек на различных архитектурах UNIX.

%description -l uk.UTF-8
GNU libtool - це набір скриптів для автоматичної генерації динамічних
бібліотек на різних архітектурах UNIX.

%package -n libltdl
Summary:	System independent dlopen wrapper for GNU libtool
Summary(pl.UTF-8):	Biblioteka ogólnych wywołań dlopen
Summary(pt_BR.UTF-8):	GNU libltdl, um wrapper dlopen para o GNU libtool
License:	LGPL v2+
Group:		Libraries
Obsoletes:	libtool-libs

%description -n libltdl
System independent dlopen wrapper for GNU libtool.

%description -n libltdl -l pl.UTF-8
Biblioteka ogólnych wywołań dlopen.

%description -n libltdl -l pt_BR.UTF-8
GNU libltdl, um wrapper dlopen para o GNU libtool.

%package -n libltdl-devel
Summary:	Development components for libltdl
Summary(pl.UTF-8):	Część libltdl przeznaczona dla programistów
Summary(pt_BR.UTF-8):	Componentes de desenvolvimento para a libltdl
Summary(ru.UTF-8):	Файлы для разработки программ с libltdl
Summary(uk.UTF-8):	Файли для розробки програм з libltdl
License:	LGPL v2+
Group:		Development/Libraries
Requires:	libltdl = %{epoch}:%{version}-%{release}

%description -n libltdl-devel
System independent dlopen wrapper for GNU libtool - development part.
Install this package if you want to develop for libltdl.

%description -n libltdl-devel -l pl.UTF-8
Biblioteka ogólnych wywołań dlopen - część dla programistów.

%description -n libltdl-devel -l pt_BR.UTF-8
Instale este pacote se você deseja desenvolver para a libltdl.

%description -n libltdl-devel -l uk.UTF-8
Файли для розробки програм з libltdl.

%description -n libltdl-devel -l ru.UTF-8
Файлы для разработки программ с libltdl.

%package -n libltdl-static
Summary:	Static system independent dlopen wrapper for GNU libtool
Summary(pl.UTF-8):	Statyczna biblioteka ogólnych wywołań dlopen
Summary(pt_BR.UTF-8):	Componentes de desenvolvimento para a libltdl
Summary(ru.UTF-8):	Статическая библиотека libltdl из libltdl
Summary(uk.UTF-8):	Статична бібліотека libltdl з libltdl
License:	LGPL v2+
Group:		Development/Libraries
Requires:	libltdl-devel = %{epoch}:%{version}-%{release}

%description -n libltdl-static
Static system independent dlopen wrapper for GNU libtool. Install this
package if you want to develop for libltdl, but using static
components (seldom used).

%description -n libltdl-static -l pl.UTF-8
Statyczna biblioteka ogólnych wywołań dlopen.

%description -n libltdl-static -l pt_BR.UTF-8
Instale este pacote se você deseja desenvolver para a libltdl,
utilizando componentes estáticos (raramente necessário).

%description -n libltdl-static -l ru.UTF-8
Это отдельный пакет со статическими библиотеками, которые больше не
входят в libltdl.

%description -n libltdl-static -l uk.UTF-8
Це окремий пакет зі статичними бібліотеками, що більше не входять до
складу libltdl.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__aclocal} -I libltdl/m4
%{__autoconf}
%{__automake}

cd libltdl
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
cd ..

# Change in configure itself, so it will affect packaged %{_bindir}/libtool
# script, not local libtools generated during packages building:
# libtool packaged as /bin/sh script for general use should work with any
# POSIX sh, not just the ones having extensions (like "+=" operator) that
# shell used to build libtool package had.
%{__sed} -i 's/lt_shell_append=yes/lt_shell_append=no/' configure
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# decompress only "ja" manuals; English ones are back in upstream
bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir} ja

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%post   -n libltdl -p /sbin/ldconfig
%postun -n libltdl -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README THANKS TODO ChangeLog
%attr(755,root,root) %{_bindir}/libtool
%attr(755,root,root) %{_bindir}/libtoolize
%dir %{_datadir}/libtool
%dir %{_datadir}/libtool/config
%attr(755,root,root) %{_datadir}/libtool/config/compile
%attr(755,root,root) %{_datadir}/libtool/config/config.guess
%attr(755,root,root) %{_datadir}/libtool/config/config.sub
%attr(755,root,root) %{_datadir}/libtool/config/depcomp
%attr(755,root,root) %{_datadir}/libtool/config/install-sh
%attr(755,root,root) %{_datadir}/libtool/config/ltmain.sh
%attr(755,root,root) %{_datadir}/libtool/config/missing
# libltdl copy for libtoolize --ltdl
%dir %{_datadir}/libtool/libltdl
%{_datadir}/libtool/libltdl/[!c]*
%{_datadir}/libtool/libltdl/config-h.in
%attr(755,root,root) %{_datadir}/libtool/libltdl/configure
%{_datadir}/libtool/libltdl/configure.ac
%{_mandir}/man1/libtool.1*
%{_mandir}/man1/libtoolize.1*
%lang(ja) %{_mandir}/ja/man1/libtool.1*
%lang(ja) %{_mandir}/ja/man1/libtoolize.1*
%{_infodir}/libtool.info*
%{_aclocaldir}/libtool.m4
%{_aclocaldir}/ltoptions.m4
%{_aclocaldir}/ltsugar.m4
%{_aclocaldir}/ltversion.m4
%{_aclocaldir}/lt~obsolete.m4

%files -n libltdl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libltdl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libltdl.so.7

%files -n libltdl-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libltdl.so
%{_libdir}/libltdl.la
%{_includedir}/libltdl
%{_includedir}/ltdl.h
%{_aclocaldir}/argz.m4
%{_aclocaldir}/ltdl.m4

%files -n libltdl-static
%defattr(644,root,root,755)
%{_libdir}/libltdl.a
%changelog
* Thu Mar 01 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 4475e2d
- release 4

* Sun Nov 13 2011 Jakub Bogusz <qboosh@pld-linux.org> 40ab2ff
- release 3

* Sun Nov 13 2011 Jakub Bogusz <qboosh@pld-linux.org> b0b5fb7
- produce /usr/bin/libtool script that works on POSIX shells without += extension;
  local libtools could still use this extension (if available) to gain speed boost during builds

* Thu Oct 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> c671b4c
- release 2

* Wed Oct 19 2011 Jakub Bogusz <qboosh@pld-linux.org> 0f5af64
- updated to 2.4.2

* Wed Oct 12 2011 hawk <hawk@pld-linux.org> 4648839
- release 9

* Mon Jun 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> b71a5fc
- release 8

* Tue Jun 07 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> f44ce00
- release 7

* Mon Jun 06 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d6369e0
- release 6

* Sun May 15 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 3330344
- release 5

* Sat Dec 18 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1e1364e
- release 4

* Fri Dec 03 2010 Jan Palus <jan.palus@gmail.com> d4c7d75
- R: tar (http://www.mail-archive.com/libtool@gnu.org/msg11507.html)
- rel 3

* Fri Oct 15 2010 wrobell <wrobell@pld-linux.org> 98ed9f5
- requires automake 1.11.1 to build
- rel. 2

* Fri Sep 24 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> bd434f2
- rel 1; testing can only be done with rel 1 when it lands in th/test ftp directory

* Fri Sep 24 2010 Jakub Bogusz <qboosh@pld-linux.org> 4ab142c
- updated to 2.4
- updated linking-order patch
- release 0.1 (needs some testing)

* Tue Aug 31 2010 Elan Ruusamäe <glen@pld-linux.org> 548ec03
- libtool obsolete libltdl-devel < 2.2 when packaging conflicting files

* Tue Aug 03 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a93cef9
- rel 1

* Sun Jun 13 2010 Jakub Bogusz <qboosh@pld-linux.org> 48a53be
- updated to 2.2.10
- updated info,linking-order patches
- removed obsolete crossmingw32 patch
- use libtool(1) and libtoolize(1) man pages which come from upstream
- release 0.1 (requires some testing)

* Fri Apr 16 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3e1dbff
- release 13

* Fri Jan 22 2010 Łukasz Krotowski <lkrotowski@pld-linux.org> 574d4d3
- added patch for crossmingw32 usage

